CGAL 5.6.3 - Monotone and Sorted Matrix Search

Loading...
Searching...
No Matches
List of all members
SortedMatrixSearchTraits Concept Reference
Monotone and Sorted Matrix Search Reference » Concepts

## Definition

The concept `SortedMatrixSearchTraits` defines types and operations needed to compute the smallest entry in a set of sorted matrices that fulfills a certain feasibility criterion using the function `CGAL::sorted_matrix_search`.

Has Models:
  `CGAL::Sorted_matrix_search_traits_adaptor<F,M>`

See also
  `CGAL::sorted_matrix_search()`
  `BasicMatrix`

## Types
typedef unspecified_type | Matrix
| The class used for representing matrices.
typedef Matrix::Value | Value
| The class used for representing the matrix elements.
typedef unspecified_type | Compare_strictly
| An adaptable binary function class: `Value` \( \times\) `Value` \( \rightarrow\) `bool` defining a non-reflexive total order on `Value`.
typedef unspecified_type | Compare_non_strictly
| An adaptable binary function class: `Value` \( \times\) `Value` \( \rightarrow\) `bool` defining the reflexive total order on `Value` corresponding to `Compare_strictly`.

## Operations
Compare_strictly | compare_strictly () const
| returns the `Compare_strictly` object to be used for the search.
Compare_non_strictly | compare_non_strictly () const
| returns the `Compare_non_strictly` object to be used for the search.
bool | is_feasible (const Value &a)
| The predicate to determine whether an element `a` is feasible.

## Member Typedef Documentation

## ◆ Compare_strictly

typedef unspecified_type SortedMatrixSearchTraits::Compare_strictly

An adaptable binary function class: `Value` \( \times\) `Value` \( \rightarrow\) `bool` defining a non-reflexive total order on `Value`.

This determines the direction of the search.

## ◆ Matrix

typedef unspecified_type SortedMatrixSearchTraits::Matrix

The class used for representing matrices.

It has to be a model for `BasicMatrix`.

## Member Function Documentation

## ◆ is_feasible()

bool SortedMatrixSearchTraits::is_feasible | ( | const Value & | a | ) |

The predicate to determine whether an element `a` is feasible.

It has to be monotone in the sense that `compare(a, b)` and `is_feasible(a)` imply `is_feasible(b)`.